ArtefactInfo (Grails 6.0.0)

Package: grails.core

## [Java] Interface ArtefactInfo

-     public interface ArtefactInfo

  Holder for all the class-related info and structures relating to an Artefact.

  Authors:
    Marc Palmer (marc@anyware.co.uk)
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Class[]` | `getClasses()` Gets you the array of all artefact Class(es), the original classes loaded that represent the artefacts.
    `` | `public java.util.Map` | `getClassesByName()` Gets you the unmodifiable Map of all artefact Class(es), the actual classes implementing the artefact.
    `` | `public GrailsClass` | `getGrailsClass(java.lang.String name)`
    `` | `public GrailsClass` | `getGrailsClassByLogicalPropertyName(java.lang.String logicalName)` Retrieves a Grails class by its logical property name.
    `` | `public GrailsClass[]` | `getGrailsClasses()` Gets you the array of all artefact GrailsClass(es), the classes used to track information about the artefact.
    `` | `public java.util.Map` | `getGrailsClassesByName()`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.lang.Class[] getClasses()

      Gets you the array of all artefact Class(es), the original classes loaded that represent the artefacts.

      Returns:
        The array, which may be empty but never null.

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getClassesByName()

      Gets you the unmodifiable Map of all artefact Class(es), the actual classes implementing the artefact.

      The Map is keyed by class name, i.e. "BookController"

      Returns:
        The Map, which may be empty but never null.

    - #### public GrailsClass getGrailsClass(java.lang.String name)

      Retrieves the GrailsClass representing a named artefact.

      From the GrailsClass you can get to the original artefact Class using getClazz().

      Parameters:
        `name` - The name of the artefact, i.e. "BookController"
      Returns:
        The Map, which may be empty but never null.

    - #### public GrailsClass getGrailsClassByLogicalPropertyName(java.lang.String logicalName)

      Retrieves a Grails class by its logical property name. For example "BookController" would be "book".

      Parameters:
        `logicalName` - The logical name
      Returns:
        A GrailsClass or null

    - #### public GrailsClass[] getGrailsClasses()

      Gets you the array of all artefact GrailsClass(es), the classes used to track information about the artefact.

      Returns:
        The array, which may be empty but never null.

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getGrailsClassesByName()

      Gets you the unmodifiable Map of all artefact GrailsClass(es), the classes that store extra state relating to the artefact.

      The Map is keyed by class name, i.e. "BookController"

      Returns:
        The Map, which may be empty but never null.